Skip to main content
POST
/
account
/
payments
/
addPaymentMethod
Add payment method
curl --request POST \
  --url https://api.marzipan.co/v1/account/payments/addPaymentMethod \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "provider": "stripe",
  "paymentMethod": "card",
  "paymentMethodId": "pm_1QabcDEF1234567890"
}
'
import requests

url = "https://api.marzipan.co/v1/account/payments/addPaymentMethod"

payload = {
    "provider": "stripe",
    "paymentMethod": "card",
    "paymentMethodId": "pm_1QabcDEF1234567890"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    provider: 'stripe',
    paymentMethod: 'card',
    paymentMethodId: 'pm_1QabcDEF1234567890'
  })
};

fetch('https://api.marzipan.co/v1/account/payments/addPaymentMethod', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "customerPaymentId": "a1b2c3d4-e5f6-7890-a1b2-c3d4e5f60718"
}
{
  "message": "Unauthenticated."
}
{
  "message": "The payment method id field is required.",
  "errors": {
    "paymentMethodId": [
      "The payment method id field is required."
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is the account token returned from the Login endpoint.

Body

application/json
provider
string
required
Example:

"stripe"

paymentMethod
string
required
Example:

"card"

paymentMethodId
string
required
Example:

"pm_1QabcDEF1234567890"

Response

Success

customerPaymentId
string<uuid>